Bug 1591701 - luajit on ppc64le
Summary: luajit on ppc64le
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: luajit
Version: 29
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Siddhesh Poyarekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-06-15 10:17 UTC by Menanteau Guy
Modified: 2019-06-21 15:09 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-21 15:09:59 UTC


Attachments (Terms of Use)
patch1 (5.72 KB, patch)
2018-06-15 10:17 UTC, Menanteau Guy
no flags Details | Diff
patch2 (1.68 KB, patch)
2018-06-15 10:18 UTC, Menanteau Guy
no flags Details | Diff
patch3 (3.38 KB, patch)
2018-06-15 10:18 UTC, Menanteau Guy
no flags Details | Diff
patch4 (1.20 KB, patch)
2018-06-15 10:19 UTC, Menanteau Guy
no flags Details | Diff
patch5 (2.52 KB, patch)
2018-06-15 10:19 UTC, Menanteau Guy
no flags Details | Diff
patch6 (59.60 KB, patch)
2018-06-15 10:20 UTC, Menanteau Guy
no flags Details | Diff
patch7 (9.33 KB, patch)
2018-06-15 10:20 UTC, Menanteau Guy
no flags Details | Diff
patch8 (24.99 KB, patch)
2018-06-15 10:21 UTC, Menanteau Guy
no flags Details | Diff
patch9 (15.89 KB, patch)
2018-06-15 10:21 UTC, Menanteau Guy
no flags Details | Diff
New ppc64le support patch (108.81 KB, patch)
2019-06-11 14:53 UTC, Menanteau Guy
no flags Details | Diff

Description Menanteau Guy 2018-06-15 10:17:04 UTC
Hi There, I would like to enable luajit for ppc64le to be able to run sysbench.
I found the work done by Koriakin in luajit upstream but it has not been released yet. https://github.com/LuaJIT/LuaJIT/pull/140

I tried to build luajit with these patches and it builds ok in koji f29
https://koji.fedoraproject.org/koji/taskinfo?taskID=27631561
Also I tested basic sysbench tests with it and it seems ok too.

Please could you see if you can add these patches and enable ppc64le build for luajit. Thanks  

changes done on luajit.spec:
---> add of ppc64le arch
ExclusiveArch:  %{arm} %{ix86} x86_64 %{mips} aarch64 ppc64le

---> add patches
%ifarch ppc64le
# Add ppc64le patches from koriakin
# https://github.com/LuaJIT/LuaJIT/pull/140
Patch1:         ppc64le_3d90e7e.patch
Patch2:         ppc64le_8d1fb71.patch
Patch3:         ppc64le_47ed69b.patch
Patch4:         ppc64le_89f7457.patch
Patch5:         ppc64le_1d40c34.patch
Patch6:         ppc64le_270bfa6.patch
Patch7:         ppc64le_1de5033.patch
Patch8:         ppc64le_f9b470d_ported.patch
Patch9:         ppc64le_2bf1b24.patch
%endif

---> add -p1 for patches applying
%autosetup -p1 -n LuaJIT-%{srcver}

Comment 1 Menanteau Guy 2018-06-15 10:17 UTC
Created attachment 1451874 [details]
patch1

Comment 2 Menanteau Guy 2018-06-15 10:18 UTC
Created attachment 1451875 [details]
patch2

Comment 3 Menanteau Guy 2018-06-15 10:18 UTC
Created attachment 1451876 [details]
patch3

Comment 4 Menanteau Guy 2018-06-15 10:19 UTC
Created attachment 1451877 [details]
patch4

Comment 5 Menanteau Guy 2018-06-15 10:19 UTC
Created attachment 1451878 [details]
patch5

Comment 6 Menanteau Guy 2018-06-15 10:20 UTC
Created attachment 1451879 [details]
patch6

Comment 7 Menanteau Guy 2018-06-15 10:20 UTC
Created attachment 1451880 [details]
patch7

Comment 8 Menanteau Guy 2018-06-15 10:21 UTC
Created attachment 1451881 [details]
patch8

Comment 9 Menanteau Guy 2018-06-15 10:21 UTC
Created attachment 1451882 [details]
patch9

Comment 10 Jan Kurik 2018-08-14 09:58:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 11 Siddhesh Poyarekar 2019-04-27 16:15:02 UTC
I attempted to rebase these patches on the latest v2.1 branch and it fails because of the ppc soft-float support that went in in 2017, that is not part of the 2.1.0-beta3 release.  Would you be able to help with the rebase?

Comment 12 Menanteau Guy 2019-04-29 09:38:53 UTC
ok let me have a look and see what I can do

Comment 13 Menanteau Guy 2019-06-11 14:51:57 UTC
Hi there, I propose a new patch based on the koriakin and Galvao work and rebased with FPU and other existing fedora patches.
For PPC, I only tested the ENDIAN LE mode (ENDIAN_LE/FPU/ELFV2).
Koji scratch test is: https://koji.fedoraproject.org/koji/taskinfo?taskID=35481640

Comment 14 Menanteau Guy 2019-06-11 14:53 UTC
Created attachment 1579425 [details]
New ppc64le support patch

Comment 15 Siddhesh Poyarekar 2019-06-12 16:10:25 UTC
This is great, thank you Menanteau!  The scratch build looks clean and all tests pass too, so we're good to go on this.  I'll close this bug once I've actually put the patch into Fedora and my github fork.

Comment 16 Siddhesh Poyarekar 2019-06-19 16:05:53 UTC
I've opened a PR here:

https://src.fedoraproject.org/rpms/luajit/pull-request/3

Comment 17 Siddhesh Poyarekar 2019-06-21 15:09:59 UTC
Patch is now in rawhide, thank you Menanteau!


Note You need to log in before you can comment on or make changes to this bug.